Subject: FVWM: Re: Icons with a frame.

From: "Riswick, J.G.A. van" <[email-masked]>
Date: Mon, 10 Dec 2001 12:20:40 +0100

HI

Yes. I think there are two options, one is to grab some 
code from borders.c, where the window borders are drawn
and (maybe functions draw_frame_relief or RedrawBorder) 
and patch up someting in icons.c. Or one would have to 
make fvwm handle it's own windows somehow, and then
the icon window could get all decorations of a normal 
window (like was suggested on this list some time 
ago)

best regards

jos 

>I also took a look at it. It seems, if I'm not mistaken, that it's icons.c
>that's responsible for the actual drawing/creating the icon windows. Also
>some new code handling a new Style directive would be needed I think.
>
>Something like: Style * MWMIcon [width] [height]
>
>There is also a datatype FVWMWindow that seems to contain among others
>fields for styles.
>
>Maybe if I get some time during the hollidays I could look into this
>further. But as you say it's probably quite much work.
>
>//Marcus
~
~
~                               
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].